Package tigase.db.beans

# Class AuthRepositoryMDPoolBean.AuthRepositoryConfigBean

java.lang.Object
tigase.db.beans.MDPoolConfigBean<T,U>
tigase.db.beans.AuthUserRepositoryConfigBean<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>
tigase.db.beans.AuthRepositoryMDPoolBean.AuthRepositoryConfigBean

All Implemented Interfaces:
  `ConfigurationChangedAware`, `Initializable`, `RegistrarBean`, `UnregisterAware`

Enclosing class:
  AuthRepositoryMDPoolBean

public static class AuthRepositoryMDPoolBean.AuthRepositoryConfigBean extends AuthUserRepositoryConfigBean<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>

- ## Field Summary

  ### Fields inherited from class tigase.db.beans.MDPoolConfigBean

  `cls, mdPool, name, poolCls, poolSize, uri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthRepositoryConfigBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<AuthRepository>`
  `getRepositoryIfc()`
  Get interface to which instances initialized by this config bean must conform to.
  `protected String`
  `getRepositoryPoolClassName()`
  Returns class name of repository pool for domain
  `protected void`
  `initRepository(AuthRepository repository)`
  Method used to initialize provided instance

  ### Methods inherited from class tigase.db.beans.AuthUserRepositoryConfigBean

  `beanConfigurationChanged, beforeUnregister, getRepositoryClassName, getUri, initialize, onDataSourceChange`

  ### Methods inherited from class tigase.db.beans.MDPoolConfigBean

  `getRepository, register, setInstances, setMdPool, setRepository, unloadOldBeans, unregister`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthRepositoryConfigBean

    public AuthRepositoryConfigBean()

- ## Method Details

  - ### getRepositoryIfc

    protected Class<AuthRepository> getRepositoryIfc()
    Description copied from class: `MDPoolConfigBean`
    Get interface to which instances initialized by this config bean must conform to.
    Specified by:
      `getRepositoryIfc` in class `MDPoolConfigBean<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>`
    Returns:
      interface

  - ### getRepositoryPoolClassName

    protected String getRepositoryPoolClassName()
    Description copied from class: `AuthUserRepositoryConfigBean`
    Returns class name of repository pool for domain
    Overrides:
      `getRepositoryPoolClassName` in class `AuthUserRepositoryConfigBean<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>`
    Returns:
      class name

  - ### initRepository

    protected void initRepository(AuthRepository repository) throws RepositoryException
    Description copied from class: `MDPoolConfigBean`
    Method used to initialize provided instance
    Overrides:
      `initRepository` in class `AuthUserRepositoryConfigBean<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>`
    Throws:
      `RepositoryException`